%define tarname rgnuplot
Summary: a pipe-based interface to the gnuplot package
Name: ruby-gnuplot
Version: 0.5
Release: 5
License: Distributable
Group: Applications/Ruby
Source: http://prdownloads.sourceforge.net/rgnuplot/%{tarname}-%{version}.tar.gz
Patch0: ruby-gnuplot-warnings.diff
Patch1: ruby-gnuplot-x2y2axes.diff
URL: http://rgnuplot.sourceforge.net/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby-narray, gnuplot

%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )

%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.4
%endif

%description
A pipe-based interface to the gnuplot package. Provides the full
capabilities of the gnuplot package to Ruby programs.

%prep
%setup -n gplot
%patch0 -p1
%patch1 -p1

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

eval sitelibdir=$( ruby -r rbconfig -e 'p Config::CONFIG["sitelibdir"]' )
mkdir -p $RPM_BUILD_ROOT$sitelibdir/gplot

install -m 0644 Gnuplot.rb $RPM_BUILD_ROOT$sitelibdir/gplot

find $RPM_BUILD_ROOT -type f -print | \
  ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc README gpl.txt matrix_demo.rb array_demo.rb func_demo.rb

%changelog
* Wed Mar  3 2004 Ian Macdonald <ian@caliban.org> 0.5-5
- Requires tag dependent on build version of Ruby

* Wed Feb 25 2004 Ian Macdonald <ian@caliban.org> 0.5-4
- patch in support for 'axes' parameter to the plot command, plus support
  for x2range, y2range, x2label and y2label

* Tue Feb 24 2004 Ian Macdonald <ian@caliban.org> 0.5-3
- patch extended to silence further warnings

* Wed Feb 11 2004 Ian Macdonald <ian@caliban.org> 0.5-2
- add patch to silence warnings under Ruby 1.8.0 and later

* Fri Feb  7 2003 Ian Macdonald <ian@caliban.org> 0.5-1
- 0.5

* Sun Oct 27 2002 Ian Macdonald <ian@caliban.org> 0.4-1
- 0.4

* Fri Oct 11 2002 Ian Macdonald <ian@caliban.org> 0.3-1
- 0.3
